<div style="margin-top: 20px;">
    <div class="container">
        <div class="row">
            <h5>
               <h3><span>BEGBAL UPLOAD</span> </h3> 
            </h5>
            <!-- <input type="text" (valueChange)="displayPriceType($event)"> -->
            <p-dataTable 
            [value]="begbalComponentsUpload"
            [responsive]="true">
                <p-header>
                    <jhi-alert></jhi-alert>
                    <div class="col-md-1 offset-md-11" style="margin-right: 10px;">
                        <label class="ui-button ui-widget ui-state-default ui-corner-all ui-button-text-icon-left label-upload">
                            <i class="fa fa-upload" aria-hidden="true"></i><span class="label-uploaded">Browse</span>
                            <input type="file" (change)="onFileChange($event)" multiple="false" accept="application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"
                                hidden/>
                        </label>
                    </div>
                    <!-- <div>
                        <form name="searchForm" class="form-inline">
                            <div class="form-group">
                                <label class="form-control-label" jhiTranslate="mpmApp.priceType.priceType" for="field_pricetype" style="margin-right: 10px;">Price</label>
                                <select class="form-control" id="field_pricetype" name="priceType" [(ngModel)]="priceType" >
                                    <option [ngValue]="null">Select {{ 'mpmApp.priceType.priceType' | translate }}</option>
                                    <option [ngValue]="priceType.description" *ngFor="let priceType of priceTypes">{{priceType.description}}</option>
                                </select>
                            </div>
                        </form>
                    </div> -->
                </p-header>
                <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
                <p-column header="{{'mpmApp.priceComponent.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <!-- <p-column header="{{'mpmApp.priceComponent.manfucterPrice'|translate}}" [style]="{'width': '120px', 'text-align': 'right'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.manfucterPrice | number}}
                    </ng-template>
                </p-column> -->
                <!-- <p-column header="{{'mpmApp.priceComponent.discount'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.discount | number: '.0-2'}}
                    </ng-template>
                </p-column> -->
                <p-column header="Nomor KTP" [style]="{'width': '150px'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.STNKKTP}}
                    </ng-template>
                </p-column>
                <p-column header="Nomor Rangka" [style]="{'width': '150px'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.idFrame}}
                    </ng-template>
                </p-column>
                <p-column header="Nomor Mesin" [style]="{'width': '120px', 'text-align': 'left'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <!-- {{rowData.price | number}} -->
                        {{ rowData.idMachine}}
                    </ng-template>
                </p-column>
                <p-column header="Nama Stnk" [style]="{'width': '120px', 'text-align': 'left'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <!-- {{rowData.price | number}} -->
                        {{ rowData.STNKNAME}}
                    </ng-template>
                </p-column>
                <p-column header="Product" [style]="{'width': '120px', 'text-align': 'left'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <!-- {{rowData.price | number}} -->
                        {{ rowData.idProduct}}
                    </ng-template>
                </p-column>
                <p-column header="Terima Notice" [style]="{'width': '120px', 'text-align': 'left'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <!-- {{rowData.price | number}} -->
                        {{ rowData.dtNoticeReceipt}}
                    </ng-template>
                </p-column>
                <p-column header="Nomor BPKB" [style]="{'width': '120px', 'text-align': 'left'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <!-- {{rowData.price | number}} -->
                        {{ rowData.BPKBNumber}}
                    </ng-template>
                </p-column>
                <p-column header="Alamat" [style]="{'width': '120px', 'text-align': 'left'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <!-- {{rowData.price | number}} -->
                        {{ rowData.STNKADDRESS}}
                    </ng-template>
                </p-column>
                <p-column header="Salesman" [style]="{'width': '120px', 'text-align': 'left'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <!-- {{rowData.price | number}} -->
                        {{ rowData.SalesName}}
                    </ng-template>
                </p-column>
                <p-column header="Terima Faktur" [style]="{'width': '120px', 'text-align': 'left'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <!-- {{rowData.price | number}} -->
                        {{ rowData.dtFakturReceipt}}
                    </ng-template>
                </p-column>
                <p-column header="Jenis Pembelian" [style]="{'width': '120px', 'text-align': 'left'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <!-- {{rowData.price | number}} -->
                        {{ rowData.saleType}}
                    </ng-template>
                </p-column>
                <!-- <p-column header="{{'mpmApp.priceComponent.party'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.partyId">
                            <a [routerLink]="['../party', rowData.partyId  ]" >{{rowData.partyId}}</a>
                        </div>
                    </ng-template>
                </p-column> -->
                <!-- <p-column header="{{'mpmApp.priceComponent.wetype'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.wetypeId">
                            <a [routerLink]="['../work-effort-type', rowData.wetypeId  ]" >{{rowData.wetypeId}}</a>
                        </div>
                    </ng-template>
                </p-column> -->
                <!-- <p-column header="{{'mpmApp.priceComponent.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <button pButton type="submit"
                                [routerLink]="['../price-component', rowData.idPriceComponent]"
                                icon="fa-eye"
                                class="flat-button"
                                [style]="{'height':'50px'}">
                        </button>
                        <button pButton type="submit"
                                [routerLink]="['/', { outlets: { popup: 'price-component/'+ rowData.idPriceComponent + '/edit'} }]"
                                replaceUrl="true"
                                icon="fa-pencil"
                                class="flat-button">
                        </button>
                        <button pButton type="submit"
                                (click)="delete(rowData.idPriceComponent)"
                                icon="fa-remove"
                                class="flat-button">
                        </button>
                    </ng-template>
                </p-column> -->
                <!-- <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template> -->
            </p-dataTable>
            <div class="col-md-12">
                <div class="pull-right">
                    <button pButton type="button" data-dismiss="modal" [routerLink]="['/vehicle-document-requirement/registration/bast/stnk/begbal']" label="{{'entity.action.cancel' | translate}}" icon="fa-ban"
                        class="ui-button-danger flat-label-button">
                    </button>
                    <button pButton type="submit" 
                     class="ui-button-primary" (click) = "saveList()" label="Simpan" style="margin-top: 10px;"></button>
                </div>
            </div>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>

<!-- <p-confirmDialog></p-confirmDialog> -->